Slackware inside Pandora.

joachim

Member
Joined
May 22, 2013
Messages
404
OK -current beta2 is installed. Now KDE is installing. Testing the system a bit.
After the first install I somehow mistyped the root password at installation and didn't get it
right then. So I did a 2nd install. Or is there a quick method for this problem?
 

joachim

Member
Joined
May 22, 2013
Messages
404
I remember it but sometimes I have to type 2 or 3 times because the keyboard repeats my typing
so when typing y I get yyyyyyyyy.... until I type another key. Something with my keyboard.

As you said , the pnds are no longer working (DeadBeef is starting but when I want to play music it crashes) in the -current.

I tried to install KiCad but ended with an error.
Installed SMPlayer which works but fullscreen is not working properly. I have a fullscreen stop picture in background and the movie in standard in foreground.
Right now QT5 is installing so I can try my special program.
 

Linux-SWAT

Hardcore Member
Joined
Feb 13, 2010
Messages
8,274
Well then you have to remove the card and reset the password in /etc/shadow . Plenty of tutos out there.

SMPlayer probably uses the omap driver, which won't work now, just set it back to xv or x11.
 

joachim

Member
Joined
May 22, 2013
Messages
404
xv is the same but x11 works, thanks for the tip
and thanks for the tip with /etc/shadow , I checked the tutos now but didn't know it was so easy (or even possible)
 
Last edited:

joachim

Member
Joined
May 22, 2013
Messages
404
@LinuxSWAT : after more than 3 days of installing QT5 for the -current beta2 version the installer stopped (AAArrrrrghh!) after (9815/11306) with
FAILED /obj/src/3rdparty/chromium/content/common/content_common.content_message_generator.o.d
.
.
.
standard input 64783 warning end of file not at end of line new line inserted
standard input 64832 error ARM register expected -- 'pop{r4,r5,'
g++ : internal compiler error: killed (program cc1plus)

so now what ? Maybe you can try to install QT5 and package it with the next -current.

It needs about 2.7GB for compiling in /tmp - wow.

Edit: once I wrote about a problem when reading from SD Card via Card reader. Now I tried a different reader and all is fine. So the problem seems to be the (cheap) reader. So I use the other reader.
.
 
Last edited:

Linux-SWAT

Hardcore Member
Joined
Feb 13, 2010
Messages
8,274
I think there's a bug in the -current's gcc because it's ok with 14.2 .
Maybe try to install the pre-compiled qt5 from the 14.2 repo.
 

ptitSeb

Serial Porter
Joined
Aug 15, 2012
Messages
8,530
Age
47
Location
France, near Lyon
If you are compiling Qt5 with a gcc version 6.x, you should add "-fno-delete-null-pointer-checks" to the CXXFLAGS.

@joachim: the cc1 process has been killed, meaning "out of memory". So don't forget to have a large swapfile, try to avoid "-pipe", and have "/tmp" on a large & fast partition...
 

joachim

Member
Joined
May 22, 2013
Messages
404
How can I install QT5 from 14.2 repo ? I no longer have 14.2 installation as I used the card for
-current install.

@ptitSeb :I use a Ghz Pandora with 512MB Ram and 512 MB Swap and had 700MB flash free at this error.
In the middle of installation I once had only 70MB flash free and no problem.
gcc is 5.4.0 but maybe the Ram was a problem because I used other programs to (e.g. SMPlayer and Browser). I had this problem once when installing software. Maybe I try again (4 days!) or is there a quick
method (as with KDE)? without compiling from source ?
 
Last edited:

Linux-SWAT

Hardcore Member
Joined
Feb 13, 2010
Messages
8,274
Forget about 14.2 package, it's soft-float.
Do as ptitSeb told and increase your swap.
 

joachim

Member
Joined
May 22, 2013
Messages
404
So now trying a second time , its now at about (2400/11306) and working faster as the first time as I now using only programs with low ram usage in parallel and it runs from RAM (before it used lots of SWAP).

I tried QCAD and it works fine.
 

joachim

Member
Joined
May 22, 2013
Messages
404
Aaaaaaaarrrgh ! (feeling better now). I tried again and it didn't work. Started Friday 4 am. Last time I checked was yesterday 8pm when it showed (9000/11306) and this morning when checking the screen was black and no reaction to the keyboard (yes battery LED was on) so I did a reboot with pandora button. So I don't know what happened. Enough with QT5 for me. Maybe someone else can try.
And yes, enough RAM ( had at least 25 MB , most times 250MB and about 400MB SWAP and now 850MB flash left).
Now the good one. I tried some pnds and some worked.

- Hackerbooks
- MGutenberg
- gshogi
- Comix
- QR Encoder
- Sonata
- Snapshot timer

Thats it for now.

Edit : what I found with Wlan (internal not working)

when I remove the stick without disconnecting wifi or just disconnect USB (toggle host) I get problems with
- USB (no more enable , always disable)
- terminal (showing white screen) , new terminals no more input possible
- nubs no longer working

sometimes I have this in 14.1 too
 
Last edited:

joachim

Member
Joined
May 22, 2013
Messages
404
Some more ..

Tried to install QUCS which is not working
evopedia is working, NEdit too (nice and small editor)
right now SDR software is installing (osmoSDR gives error)
 

joachim

Member
Joined
May 22, 2013
Messages
404
in the -current version when I use sbopkg there shows "repo for 14.2 using"
I thought 15.2 is softfloat and - current is hardfloat.Can this be a problem when installing programs (I tried QT5 from repo)?

I tried gnuradio which gives compiler error at 66%. RTL-SDR is installing.
 

joachim

Member
Joined
May 22, 2013
Messages
404
Thanks for the info. I tried some more in -current.
Arduino from arduino.cc (experimental) is working
siag (light office) working
gEDA (schematics/pcb) is working
 

joachim

Member
Joined
May 22, 2013
Messages
404
Is there hope for a new -current beta ? Maybe with wifi working? I tried QT5 again and it stopped
at (10000/11300) which is best by now. If there is a new beta I will try with another SD card.
 

joachim

Member
Joined
May 22, 2013
Messages
404
I thought at my last test I got no connection or no server found but will try again. Can you give some info about a new beta for the -current version (to be done , date)?
 
Top